Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configurator
Interface IPlatformConfiguration.ISiteEntry

Enclosing interface:
  IPlatformConfiguration

public static interface IPlatformConfiguration.ISiteEntry

Configuration entry representing an install site.

Since:
  2.0

Method Summary
`long` | `getChangeStamp()` Returns a stamp reflecting the current state of the site.
`String[]` | `getFeatures()` Returns a list of features visible on the site.
`long` | `getFeaturesChangeStamp()` Deprecated. Do not use this method
`String[]` | `getPlugins()` Returns a list of plug-ins visible on the site.
`long` | `getPluginsChangeStamp()` Deprecated. Do not use this method
`IPlatformConfiguration.ISitePolicy` | `getSitePolicy()` Returns the policy for this site
`URL` | `getURL()` Returns the URL for this site
`boolean` | `isNativelyLinked()` Returns an indication whether the site represents an install site that has been linked via a native installer (using the links/ mechanism)
`boolean` | `isUpdateable()` Returns an indication whether the site can be updated.
`void` | `setSitePolicy(IPlatformConfiguration.ISitePolicy policy)` Sets the site policy

Method Detail

### getURL

    public URL getURL()

  Returns the URL for this site

  Returns:
    site url
  Since:
    2.0

### getSitePolicy

    public IPlatformConfiguration.ISitePolicy getSitePolicy()

  Returns the policy for this site

  Returns:
    site policy
  Since:
    2.0

### setSitePolicy

    public void setSitePolicy(IPlatformConfiguration.ISitePolicy policy)

  Sets the site policy

  Parameters:
    `policy` - site policy
  Since:
    2.0

### getFeatures

    public String[] getFeatures()

  Returns a list of features visible on the site. Note, that this is simply a reflection of the site content. The features may or may not be actually configured.

  Returns:
    an array of feature entries, or an empty array if no features are found. A feature entry is returned as a path relative to the site URL
  Since:
    2.0

### getPlugins

    public String[] getPlugins()

  Returns a list of plug-ins visible on the site. Note, that this is simply a reflection of the site content and the current policy for the site. The plug-ins may or may not end up being used by Eclipse (depends on which plug-in are actually bound by the platform).

  Returns:
    an array of plug-in entries, or an empty array if no plug-ins are found. A plug-in entry is returned as a path relative to the site URL *
  Since:
    2.0

### getChangeStamp

    public long getChangeStamp()

  Returns a stamp reflecting the current state of the site. If called repeatedly, returns the same value as long as no changes were made to the site (changes to features or plugins).

  Returns:
    site change stamp
  Since:
    2.0

### getFeaturesChangeStamp

    public long getFeaturesChangeStamp()

  Deprecated. Do not use this method

  Returns a stamp reflecting the current state of the features on the site. If called repeatedly, returns the same value as long as no changes were made to features on the site.

  Returns:
    site features change stamp
  Since:
    2.0

### getPluginsChangeStamp

    public long getPluginsChangeStamp()

  Deprecated. Do not use this method

  Returns a stamp reflecting the current state of the plug-ins on the site. If called repeatedly, returns the same value as long as no changes were made to plug-ins on the site.

  Returns:
    site plug-ins change stamp
  Since:
    2.0

### isUpdateable

    public boolean isUpdateable()

  Returns an indication whether the site can be updated.

  Returns:
    `true` if site can be updated, `false` otherwise
  Since:
    2.0

### isNativelyLinked

    public boolean isNativelyLinked()

  Returns an indication whether the site represents an install site that has been linked via a native installer (using the links/ mechanism)

  Returns:
    `true` if the site is linked, `false` otherwise
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.